Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search.basic.expression
Class BasicExpression

    java.lang.Object
      org.apache.slide.search.basic.expression.BasicExpression

All Implemented Interfaces:
  IBasicExpression

Direct Known Subclasses:
  GenericBasicExpression

public abstract class BasicExpression
extends java.lang.Object
implements IBasicExpression

A BasicSearchExpression represents exactly one operator (AND, GT, ...).

Version:
  $Revision: 1.5 $

Field Summary
`protected org.jdom.Element` | `expressionElement` the JDOM element representing this expression.
`protected BasicExpressionFactory` | `expressionFactory`
`protected IBasicResultSet` | `resultSet` the resultset of this expression, if it has the state resolved

Constructor Summary
`protected` | `BasicExpression(org.jdom.Element e)` constructor.

Method Summary
`IBasicExpressionFactory` | `getFactory()` factory accessor
`void` | `setFactory(IBasicExpressionFactory factory)` writes backptr to the factory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.slide.search.basic.IBasicExpression
`execute`

Field Detail

### expressionFactory

    protected BasicExpressionFactory expressionFactory

### expressionElement

    protected org.jdom.Element expressionElement

  the JDOM element representing this expression.

### resultSet

    protected IBasicResultSet resultSet

  the resultset of this expression, if it has the state resolved

Constructor Detail

### BasicExpression

    protected BasicExpression(org.jdom.Element e)
                       throws InvalidQueryException

  constructor. Only called by the conrecte expressions

Parameters:
  `e` - the jdom element representing this expression.

Method Detail

### setFactory

    public void setFactory(IBasicExpressionFactory factory)

  writes backptr to the factory

  Specified by:
    `setFactory` in interface `IBasicExpression`
  Parameters:
    `factory` - an IBasicExpressionFactory

### getFactory

    public IBasicExpressionFactory getFactory()

  factory accessor

  Specified by:
    `getFactory` in interface `IBasicExpression`
  Returns:
    an IBasicExpressionFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD